Package net.shibboleth.idp.attribute.filter

# Interface AttributeFilter

All Superinterfaces:
  `Component`, `IdentifiedComponent`

All Known Implementing Classes:
  `AttributeFilterImpl`

@ThreadSafe public interface AttributeFilter extends IdentifiedComponent
Interface that filters out attributes and values based upon loaded policies.

## Method Summary

Modifier and Type
Method
Description
`void`
`filterAttributes(AttributeFilterContext filterContext)`
Filters attributes and values.
`List<AttributeFilterPolicy>`
`getFilterPolicies()`
Gets the immutable collection of filter policies.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Method Details

### getFilterPolicies

@Nonnull @Unmodifiable @NotLive List<AttributeFilterPolicy> getFilterPolicies()
Gets the immutable collection of filter policies.

Returns:
  immutable collection of filter policies

### filterAttributes

void filterAttributes(@Nonnull AttributeFilterContext filterContext) throws AttributeFilterException
Filters attributes and values. This filtering process may remove attributes and values but must never add them.

Parameters:
  `filterContext` - context containing the attributes to be filtered and collecting the results of the filtering process
Throws:
  `AttributeFilterException` - thrown if there is a problem retrieving or applying the attribute filter policy